#include "serial.h"
#include "misc.h"
#include "vector.h"
#include "cairosdl.h"

//Reasons why a certain point is detected but invalid
#define CONFIDENCE_DUPLICATE -1
#define CONFIDENCE_GHOST -2
#define CONFIDENCE_UNLIKELY -3


typedef struct {
	int x;
	int y;
	int size;
	int confidence;
} touchedPointStruct;

void calibrate(int fd, cairo_t *cr);
int getCoords(BlackMark *meas, int no, touchedPointStruct *points);


